import "Turbine"
import "Turbine.UI"
import "Turbine.UI.Lotro"
import "Turbine.Utils"

CharWindow = class( Turbine.UI.Window )

function CharWindow:Constructor()
    Turbine.UI.Lotro.Window.Constructor( self )
    current = nil
   
    --Build Window Base.
    self:SetSize( 310, 150 )
    self:SetPosition( 230, 150 )
    self:SetVisible( false )
    
    --Build Window Contents.
    self.ptitle = Turbine.UI.Label()
    self.ptitle:SetParent( self ) 
    self.ptitle:SetPosition( 15, 40 )
    self.ptitle:SetSize( 70, 20 )
    self.ptitle:SetForeColor( Turbine.UI.Color( 1, .8, .6 ) )
    self.ptitle:SetText( "Profession" )
    
    self.stitle = Turbine.UI.Label()
    self.stitle:SetParent( self )
    self.stitle:SetPosition( 110, 40 )
    self.stitle:SetSize( 60, 20 )
    self.stitle:SetForeColor( Turbine.UI.Color( 1, .8, .6 ) )
    self.stitle:SetText( "Skill" )
    
    self.mtitle = Turbine.UI.Label()
    self.mtitle:SetParent( self )
    self.mtitle:SetPosition( 210, 40 )
    self.mtitle:SetSize( 60, 20 )
    self.mtitle:SetForeColor( Turbine.UI.Color( 1, .8, .6 ) )
    self.mtitle:SetText( "Mastery" )
    
    
    --Labels for skill names.
    self.prof1 = Turbine.UI.Label()
    self.prof1:SetParent( self )
    self.prof1:SetPosition( 15, 60 )
    self.prof1:SetSize( 80, 20 )
    self.prof1:SetForeColor( Turbine.UI.Color( 1, .8, .6 ) )
    self.prof1:SetText( "prof1" )
    
    self.prof2 = Turbine.UI.Label()
    self.prof2:SetParent( self )
    self.prof2:SetPosition( 15, 80 )
    self.prof2:SetSize( 80, 20 )
    self.prof2:SetForeColor( Turbine.UI.Color( 1, .8, .6 ) )
    self.prof2:SetText( "prof2" )
    
    self.prof3 = Turbine.UI.Label()
    self.prof3:SetParent( self )
    self.prof3:SetPosition( 15, 100 )
    self.prof3:SetSize( 80, 20 )
    self.prof3:SetForeColor( Turbine.UI.Color( 1, .8, .6 ) )
    self.prof3:SetText( "prof3" )
    
    --Build the context menu for skill selection
    
    self.conmen = Turbine.UI.ContextMenu()  
    self.menulist = self.conmen:GetItems()

    self.menulist:Add( Turbine.UI.MenuItem( "" ) )
    self.menulist:Add( Turbine.UI.MenuItem( "Apprentice" ) )
    self.menulist:Add( Turbine.UI.MenuItem( "Journeyman" ) )
    self.menulist:Add( Turbine.UI.MenuItem( "Artisan" ) )
    self.menulist:Add( Turbine.UI.MenuItem( "Expert" ) )
    self.menulist:Add( Turbine.UI.MenuItem( "Master" ) )
    self.menulist:Add( Turbine.UI.MenuItem( "Supreme" ) )
    
    for i = 1, self.menulist:GetCount( ) do
        item = self.menulist:Get( i )
        item.Click = function( sender, args ) 
            self.bswitch( sender, sender:GetText() )
        end
    end

    --Buttons that spawn menu for drop Down of skill levels.
    self.prof1s = Turbine.UI.Lotro.Button()
    self.prof1s:SetParent( self )
    self.prof1s:SetSize( 90, 20 )
    self.prof1s:SetPosition( 110, 55 )
    self.prof1s.Click = function( sender, args )
        current = self.prof1s
        self.conmen:ShowMenu() 
    end
    
    self.prof1m = Turbine.UI.Lotro.Button()
    self.prof1m:SetParent( self )
    self.prof1m:SetSize( 90, 20 )
    self.prof1m:SetPosition( 210, 55 )
    self.prof1m.Click = function( sender, args )
        current = self.prof1m
        self.conmen:ShowMenu() 
    end
    
    self.prof2s = Turbine.UI.Lotro.Button()
    self.prof2s:SetParent( self )
    self.prof2s:SetSize( 90, 20 )
    self.prof2s:SetPosition( 110, 75 )
    self.prof2s.Click = function( sender, args )
        current = self.prof2s
        self.conmen:ShowMenu() 
    end
    
    self.prof2m = Turbine.UI.Lotro.Button()
    self.prof2m:SetParent( self )
    self.prof2m:SetSize( 90, 20 )
    self.prof2m:SetPosition( 210, 75 )
    self.prof2m.Click = function( sender, args )
        current = self.prof2m
        self.conmen:ShowMenu() 
    end
    
    self.prof3s = Turbine.UI.Lotro.Button()
    self.prof3s:SetParent( self )
    self.prof3s:SetSize( 90, 20 )
    self.prof3s:SetPosition( 110, 95 )
    self.prof3s.Click = function( sender, args )
        current = self.prof3s
        self.conmen:ShowMenu() 
    end
    
    self.prof3m = Turbine.UI.Lotro.Button()
    self.prof3m:SetParent( self )
    self.prof3m:SetSize( 90, 20 )
    self.prof3m:SetPosition( 210, 95 )
    self.prof3m.Click = function( sender, args )
        current = self.prof3m
        self.conmen:ShowMenu() 
    end
    
    self.shopbut = Turbine.UI.Lotro.Button()
    self.shopbut:SetParent( self )
    self.shopbut:SetSize( 100, 20 )
    self.shopbut:SetPosition( 50, 120 )
    self.shopbut:SetText( "Shopping List" )
    
    self.sbut = Turbine.UI.Lotro.Button()
    self.sbut:SetParent( self )
    self.sbut:SetSize( 60, 20 )
    self.sbut:SetPosition( 150, 120 )
    self.sbut:SetText( "Save" )
    
    self.dbut = Turbine.UI.Lotro.Button()
    self.dbut:SetParent( self )
    self.dbut:SetSize( 60, 20 )
    self.dbut:SetPosition( 210, 120 )
    self.dbut:SetText( "Delete" )
    
end

--Functions for the class
function CharWindow:bswitch( title ) 
    current:SetText( title )
    current = nil
end
    
-- function to clear all data in window
function CharWindow:Clear()
    self:SetText( "" )
    self.prof1:SetText( "prof1" )
    self.prof1s:SetText( "Skill" )
    self.prof1m:SetText( "Mastery" )
    self.prof2:SetText( "prof2" )
    self.prof2s:SetText( "Skill" )
    self.prof2m:SetText( "Mastery" )
    self.prof3:SetText( "prof3" )
    self.prof3s:SetText( "Skill" )
    self.prof3m:SetText( "Mastery" )
end