import "Turbine"
import "Turbine.UI"
import "Turbine.UI.Lotro"
import "Turbine.Utils"
import "SandBox.Crafters"

CraftersWindow = class( Turbine.UI.Window )

function CraftersWindow:Constructor()
    Turbine.UI.Lotro.Window.Constructor( self )
    self:SetVisible( true )
    
    --I Setup Window Data
    self:SetSize( 200, 150 )
    self:SetBackColor( Turbine.UI.Color() )
    self:SetPosition( 25, 150 )
    self:SetText( "Crafting" )
    
    --I Build new charicter button
    self.newcharbut = Turbine.UI.Lotro.Button()
    self.newcharbut:SetParent( self )
    self.newcharbut:SetPosition( 25, 40 )
    self.newcharbut:SetSize( 150, 50 )
    self.newcharbut:SetText( "New Charicter" )
    
    --I Set listbox to display each char button
    self.listscroll = Turbine.UI.Lotro.ScrollBar()
    self.listscroll:SetParent( self )
    self.listscroll:SetSize( 10, 80 )
    self.listscroll:SetPosition( 175, 45 )
    self.listscroll:SetOrientation( Turbine.UI.Orientation.Vertical )
    
    self.listbox = Turbine.UI.ListBox()
    self.listbox:SetVerticalScrollBar( self.listscroll )
    self.listbox:SetParent( self )
    self.listbox:SetSize( 150, 60 )
    self.listbox:SetPosition( 25, 60 )
    self.listbox:SetOrientation( Turbine.UI.Orientation.Horizontal )
    self.listbox:SetMaxItemsPerLine( 2 )
end


function CraftersWindow:MakeBut( data )
    --I Builds each button for each character
    local data = data
    local button = Turbine.UI.Lotro.Button()
    button.name = data.name
    data.prof1 = data.prof1
    if data.prof1s == nil then
        data.prof1s = "Skill"
    end
    if data.prof1m == nil then
        data.prof1m = "Mastery"
    end
    data.prof2 = data.prof2
    if data.prof2s == nil then
        data.prof2s = "Skill"
    end
    if data.prof2m == nil then
        data.pro2m = "Mastery"
    end
    data.prof3 = data.prof3
    if data.prof3s == nil then
        data.prof3s = "Skill"
    end
    if data.prof3m == nil then
        data.prof3m = "Mastery"
    end    
    data.index = self.listbox:GetItemCount() + 1
        
    button:SetSize( 75, 50 )
    button:SetParent( self.listbox )
    button:SetText( data.name )
    --D Turbine.Shell.WriteLine( "Initializing charicter " .. data.name )
    self.chars[data.name] = data    
    --D Turbine.Shell.WriteLine( "Data Name: " .. self.chars[data.name].name )
    
    self.listbox:InsertItem( data.index, button )
    button.Click = function( sender, args )
        --D Turbine.Shell.WriteLine( "Click event passed attempting to load window with: " .. data.name )
        loadchar( self.chars[data.name] )
    end
end
